<copyright> gtomk eventbox example.
    A rewrite in TOM of the original eventbox.c example,
    as it appears in the gtk+ tutorial.
    By <a href="mailto:yacc@gerbil.org">Andreas Kostyrka</a>

    Copyright &copy; 1998 Andreas Kostyrka.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: EventBox.t,v 1.2 1999/02/17 23:25:10 tiggr Exp $</id>
    </copyright>

implementation class
EventBoxExample : gtomk.Constants, gdomk.Constants

boolean
  delete_event pointer event
{
  = FALSE;
}

void
  destroy
{
  [gtomk main_quit];
}

int
  main MutableArray arguments
{
  [gtomk init arguments];
  
  GtkWindow window = [GtkWindow new GTK_WINDOW_TOPLEVEL];
  [window set_title "Event Box"];
  [window connect "destroy"
	  to self
	  using selector (void destroy) after:NO];
  [window connect "delete_event"
	  to self
	  using selector (boolean delete_event pointer)];

  /* Create an EventBox and add it to our toplevel window */
  GtkEventBox event_box = [GtkEventBox new];
  [window add event_box];
  [event_box show];

  /* Create a long label */
          
  GtkLabel label = [GtkLabel new "Click here to quit, quit, quit, quit, quit"];
  [event_box add label];
  [label show];

  /* Clip it short. */
  [label set_usize(110, 20)];

  /* And bind an action to it */
  [event_box set_events GDK_BUTTON_PRESS_MASK];

  [event_box connect "button_press_event"
	     to self
	     using selector (void destroy)
	     overrideArguments: YES];
  
  /* Yet one more thing you need an X window for ... */
  
  [event_box realize];
  [[event_box window] set_cursor [GdkCursor new GDK_HAND1]];

  [window show];
  [gtomk main];
}

end;

implementation instance
EventBoxExample

end;
