<copyright> tomgnome gnomehello-0-basic example.
    A rewrite in TOM of the original gnome-hello-0-basic.c example,
    as it appears in the gnome-libs distribution.
    By <a href="mailto:yacc@gerbil.org">Andreas Kostyrka</a>

    Copyright &copy; 1998 Andreas Kostyrka.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: GnomeHello0Basic.t,v 1.3 1999/02/17 23:25:20 tiggr Exp $</id>
    </copyright>

implementation class
GnomeHello: gtomk.Constants
{
  GnomeApp app;
}

int
  main MutableArray args
{
  [Gnome init "tom-gnome-hello-0-basic" args args];

  [self prepare_app];

  /* This method does not return.  */
  [gtomk main];
}

void
  prepare_app
{
  /* Makes the main window and binds the delete event so you can close
     the program from your WM */
  
  app = [GnomeApp new ("hello", "Hello World Gnomified (TomGnome)")];
  [app realize];
  [app connect "delete_event" 
       to self using selector(void quit) 
       overrideArguments: NO];

  /* Notice, that in TOM variable declaration don't have to be at beginning
     of the scope. */
  GtkWidget button;
  /* We make a button, bind the 'clicked' signal to hello and setting it
     to be the content of the main window */
  button = [GtkButton new_with_label "Hello GNOME"];
  [button connect "clicked"
	  to self using selector(void hello)];
  [app set_contents button];
  
  /* We now show the widgets, the order doesn't matter, but i suggests 
     showing the main window last so the whole window will popup at
     once rather than seeing the window pop up, and then the button form
     inside of it. Although with such simple example, you'd never notice. */
  [button show];
  [app show];
}

void
  hello
{
  /* notice, that nl prints \n AND flushes the stream. */
  [[[stdio out] print "Hello GNOME"] nl];
  [gtomk main_quit];
}

void
  quit
{
  [gtomk main_quit];
}

end;

implementation instance
GnomeHello

end;
