<copyright> gdomk Atom class.
    Written by <a href="mailto:yacc@gerbil.org">Andreas Kostyrka</a>

    Copyright &copy; 1998 Andreas Kostyrka

    This file is part of GDOMK.  GDOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GDOMK distribution; see the file COPYING.LIB.

    <id>$Id: Atom.t,v 1.2 1998/06/19 10:23:00 yacc Exp $</id>
    </copyright>

<c>
#include "glue.h"
#include <tom/util.h>
</c>

implementation class
GdkAtom : State, gdomk.Constants

instance (id)
  new String name
{
  int atom;
  <c> {
    char *cname;
    DECL_USEL (tom, _pi__byteStringContents);

    C_STRING_WITH_TOM_STRING (cname, atom, name);
    atom = gdk_atom_intern (cname, FALSE);
  } </c>
  if (atom != GDK_NONE)
    = [[self alloc] init atom];
}

instance (id)
  existing String name
{
  int atom;
  <c> {
    char *cname;
    DECL_USEL (tom, _pi__byteStringContents);

    C_STRING_WITH_TOM_STRING (cname, atom, name);
    atom = gdk_atom_intern (cname, TRUE);
  } </c>
  if (atom != GDK_NONE)
    = [[self alloc] init atom];
}


end;

implementation instance
GdkAtom
{
  int atom;
}

<doc> Return the {GdkAtom} for which this object stands.  </doc>
int
  gdkAtom
{
  = atom;
}

id
  init int atomval
{
  = self;
  atom = atomval;
}

String (res)
  stringValue
{
  if (atom != GDK_NONE) {
    int aval = atom;
    <c> res = (void *) byte_string_with_c_string (gdk_atom_name (aval)); </c>
  }
}

boolean (result)
  equal id other
{
  int oatom = [other gdkAtom];
  
  = (oatom == atom);
}

end;
