<copyright> gdomk Image class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GDOMK.  GDOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GDOMK distribution; see the file COPYING.LIB.

    <id>$Id: Image.t,v 1.3 1998/06/27 23:41:23 yacc Exp $</id>
    </copyright>

<c>
#include "glue.h"
</c>

implementation class
GdkImage: GdkWrapper

instance (id) 
  new (int, GdkVisual, int, int) (GDK_IMAGE_type, visual, width, height)
{
  pointer cres;
  pointer cvisual = [visual gdkVisual];
  <c> cres = gdk_image_new (GDK_IMAGE_type, cvisual, width, height); </c>
   = [GdkImage proxy cres create: YES];
}

instance (id)
  get (GdkWindow, int, int, int, int) (window, x, y, width, height)
{
  pointer cres;
  pointer cwindow = [window gdkWindow];
  <c> cres = gdk_image_get (cwindow, x, y, width, height); </c>
   = [GdkImage proxy cres create: YES];
}

//GdkImage* gdk_image_new_bitmap(GdkVisual *,
//				gpointer,
//				gint,
//				gint);

end;

implementation instance
GdkImage

<doc> Return the {GdkImage} for which this object stands.  </doc>
pointer
  gdkImage
{
  = object;
}

void
  put_pixel (int, int, int) (x, y, pixel)
{
  pointer obj = object;
  <c> gdk_image_put_pixel ((GdkImage *) obj, x, y, pixel); </c>
}

int (pixel)
  get_pixel (int, int) (x, y)
{
  pointer obj = object;
  <c> pixel = gdk_image_get_pixel ((GdkImage *) obj, x, y); </c>
}

void
  dealloc
{
  pointer obj = object;
  <c> gdk_image_destroy ((GdkImage *) obj); obj = NULL; </c>
  object = obj;
}

end;
