<copyright> gtomk Curve class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: Curve.t,v 1.5 1998/04/14 13:25:06 tiggr Exp $</id>
    </copyright>

<gtk_version>1.0.0</gtk_version>

<c>
#include "glue.h"
</c>

implementation class
GtkCurve: GtkDrawingArea

instance (id)
  new
{
  pointer p;
<c>
  p = gtk_curve_new ();
</c>
  = [[self alloc] init p];
}

end;

implementation instance
GtkCurve

<doc> Return the {gtkCurve} for which this object stands.  </doc>
pointer
  gtkCurve
{
  = object;
}

void
  reset
{
  pointer obj = object;
<c>
  gtk_curve_reset (obj);
</c>
}

void
  set_gamma float gamma
{
  pointer obj = object;
<c>
  gtk_curve_set_gamma (obj, gamma);
</c>
}

void
  gtk_curve_set_range (float, float, float, float) (min_x, max_x, min_y, max_y)
{
  pointer obj = object;
<c>
  gtk_curve_set_range (obj, min_x, max_x, min_y, max_y);
</c>
}

//void		gtk_curve_get_vector	(GtkCurve *curve,
//					 int veclen, gfloat vector[]);
//void		gtk_curve_set_vector	(GtkCurve *curve,
//					 int veclen, gfloat vector[]);

void
  gtk_curve_set_curve_type int GTK_CURVE_TYPE_something
{
  pointer obj = object;
<c>
  gtk_curve_set_curve_type (obj, GTK_CURVE_TYPE_something);
</c>
}

end;
