<copyright> gtomk Label class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: Label.t,v 1.5 1998/04/14 13:25:30 tiggr Exp $</id>
    </copyright>

<gtk_version>1.0.0</gtk_version>

<c>
#include "glue.h"
</c>

implementation class
GtkLabel: GtkMisc

<doc> Create a new label, using {gtk_label_new}.  </doc>
instance (id)
  new String str
{
  pointer p;
  int len;
<c>
  {
    char *s;
    C_STRING_WITH_TOM_STRING (s, len, str);
    p = gtk_label_new (s);
  }
</c>
  = [[self alloc] init p];
}

end;

implementation instance
GtkLabel

<doc> Return the {gtkLabel} for which this object stands.  </doc>
pointer
  gtkLabel
{
  = object;
}

void
  set String str
{
  pointer obj = object;
  int len;
<c>
  {
    char *s;
    C_STRING_WITH_TOM_STRING (s, len, str);
    gtk_label_set (obj, s);
  }
</c>
}

void
  set_justify int GTK_JUSTIFY_something
{
  pointer obj = object;
<c>
  gtk_label_set_justify (obj, GTK_JUSTIFY_something);
</c>
}

String (str)
  get
{
  pointer obj = object;
<c>
  {
    char *s;
    gtk_label_get (obj, &s);
    str = (void *) byte_string_with_c_string (s);
  }
</c>
}

end;
