<copyright> gtomk Pixmap class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: Pixmap.t,v 1.5 1998/04/14 13:25:43 tiggr Exp $</id>
    </copyright>

<gtk_version>1.0.0</gtk_version>

<c>
#include "glue.h"
</c>

implementation class
GtkPixmap: GtkMisc

instance (id)
  new (pointer, pointer) (GdkPixmap_pixmap, GdkBitmap_mask)
{
  pointer p;
<c>
  p = gtk_pixmap_new (GdkPixmap_pixmap, GdkBitmap_mask);
</c>
  = [[self alloc] init p];
}

end;

implementation instance
GtkPixmap

<doc> Return the {gtkPixmap} for which this object stands.  </doc>
pointer
  gtkPixmap
{
  = object;
}

void
  set (GdkPixmap, GdkBitmap) (val, mask)
{
  pointer obj = object, vobj = [val gdkPixmap], mobj;

  if (mask != nil)
    mobj = [mask gdkBitmap];

<c>
  gtk_pixmap_set (obj, vobj, mobj);
</c>
}

(GdkPixmap, GdkBitmap) (val, mask)
  get
{
  pointer obj = object, vobj, mobj;
<c>
  {
    GdkPixmap *v;
    GdkBitmap *m;
    gtk_pixmap_get (obj, &v, &m);
    vobj = v;
    mobj = m;
  }
</c>
  if (!!vobj)
    val = [GdkPixmap proxy vobj create: YES];
  if (!!mobj)
    mask = [GdkBitmap proxy mobj create: YES];
}

end;
