<copyright> gtomk Preview class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: Preview.t,v 1.6 1998/04/14 13:25:44 tiggr Exp $</id>
    </copyright>

<gtk_version>1.0.0</gtk_version>

<c>
#include "glue.h"
</c>

implementation class
GtkPreview: GtkWidget

void
  uninit
{
<c>
  gtk_preview_uninit ();
</c>
}

instance (id)
  new int GTK_PREVIEW_something
{
  pointer p;
<c>
  p = gtk_preview_new (GTK_PREVIEW_something);
</c>
  = [[self alloc] init p];
}

void
  set_gamma double gamma
{
<c>
  gtk_preview_set_gamma (gamma);
</c>
}

void
  set_color_cube (int, int, int, int)
		 (nred_shades, ngreen_shades, nblue_shades, ngray_shades)
{
<c>
  gtk_preview_set_color_cube (nred_shades, ngreen_shades,
			      nblue_shades, ngray_shades);
</c>
}

void
  set_install_cmap boolean install_cmap
{
<c>
  gtk_preview_set_install_cmap (install_cmap);
</c>
}

void
  set_reserved int nreserved
{
<c>
  gtk_preview_set_reserved (nreserved);
</c>
}

GdkVisual (visual)
  get_visual
{
  pointer p;
<c>
  p = gtk_preview_get_visual ();
</c>
  if (!!p)
    visual = [GdkVisual proxy p create: YES];
}

GdkColormap (cmap)
  get_cmap
{
  pointer p;
<c>
  p = gtk_preview_get_cmap ();
</c>
  if (!!p)
    cmap = [GdkColormap proxy p create: YES];
}

GtkPreviewInfo (info)
  get_info
{
  pointer p;
<c>
  p = gtk_preview_get_info ();
</c>
  if (!!p)
    info = [GtkPreviewInfo proxy p create: YES];
}

void
  gtk_preview_reset
{
<c>
  gtk_preview_reset ();
</c>
}

end;

implementation instance
GtkPreview

<doc> Return the {gtkPreview} for which this object stands.  </doc>
pointer
  gtkPreview
{
  = object;
}

void
  size (int, int) (width, height)
{
  pointer obj = object;
<c>
  gtk_preview_size (obj, width, height);
</c>
}

void
  gtk_preview_put (GtkWindow, GdkGC, int, int, int, int, int, int)
		  (window, gc, srcx, srcy, destx, desty, width, height)
{
  pointer obj = object, wobj = [window gtkWindow], gobj = [gc gdkGC];
<c>
  gtk_preview_put (obj, wobj, gobj, srcx, srcy, destx, desty, width, height);
</c>
}

//void            gtk_preview_put_row            (GtkPreview      *preview,
//						guchar          *src,
//						guchar          *dest,
//						gint             x,
//						gint             y,
//						gint             w);
//void            gtk_preview_draw_row           (GtkPreview      *preview,
//						guchar          *data,
//						gint             x,
//						gint             y,
//						gint             w);

void
  set_expand boolean expand
{
  pointer obj = object;
<c>
  gtk_preview_set_expand (obj, expand);
</c>
}

end;
