<copyright> gtomk RadioMenuItem class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: RadioMenuItem.t,v 1.5 1998/04/14 13:25:50 tiggr Exp $</id>
    </copyright>

<gtk_version>1.0.0</gtk_version>

<c>
#include "glue.h"
</c>

implementation class
GtkRadioMenuItem: GtkCheckMenuItem

instance (id)
  new pointer GSList_group
{
  pointer p;
<c>
  p = gtk_radio_menu_item_new (GSList_group);
</c>
  = [[self alloc] init p];
}

instance (id)
  new_with_label (pointer, String) (GSList_group, label)
{
  pointer p;
  int len;
<c>
  {
    char *s;
    C_STRING_WITH_TOM_STRING (s, len, label);
    p = gtk_radio_menu_item_new_with_label (GSList_group, s);
  }
</c>
  = [[self alloc] init p];
}

end;

implementation instance
GtkRadioMenuItem

<doc> Return the {gtkRadioMenuItem} for which this object stands.  </doc>
pointer
  gtkRadioMenuItem
{
  = object;
}

pointer (GSList_result)
  group
{
  pointer obj = object;
<c>
  GSList_result = gtk_radio_menu_item_group (obj);
</c>
}

end;
