<copyright> gtomk Range class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: Range.t,v 1.4 1998/04/14 13:25:51 tiggr Exp $</id>
    </copyright>

<gtk_version>1.0.0</gtk_version>

<c>
#include "glue.h"
</c>

implementation class
GtkRange: GtkWidget

end;

implementation instance
GtkRange

<doc> Return the {gtkRange} for which this object stands.  </doc>
pointer
  gtkRange
{
  = object;
}

GtkAdjustment (adjustment)
  get_adjustment
{
  pointer obj = object, p;
<c>
  p = gtk_range_get_adjustment (obj);
</c>
  if (!!p)
    adjustment = [GtkAdjustment proxy p];
}

void
  set_update_policy int GTK_UPDATE_something
{
  pointer obj = object;
<c>
  gtk_range_set_update_policy (obj, GTK_UPDATE_something);
</c>
}

void
  set_adjustment GtkAdjustment adjustment
{
  pointer obj = object, aobj = [adjustment gtkAdjustment];
<c>
  gtk_range_set_adjustment (obj, aobj);
</c>
}

void
  draw_background
{
  pointer obj = object;
<c>
  gtk_range_draw_background (obj);
</c>
}

void
  draw_trough
{
  pointer obj = object;
<c>
  gtk_range_draw_trough (obj);
</c>
}

void
  draw_slider
{
  pointer obj = object;
<c>
  gtk_range_draw_slider (obj);
</c>
}

void
  draw_step_forw
{
  pointer obj = object;
<c>
  gtk_range_draw_step_forw (obj);
</c>
}

void
  draw_step_back
{
  pointer obj = object;
<c>
  gtk_range_draw_step_back (obj);
</c>
}

void
  slider_update
{
  pointer obj = object;
<c>
  gtk_range_slider_update (obj);
</c>
}

(int, float) (GTK_THROUGH_something, jump_perc)
  trough_click (int, int) (x, y)
{
  pointer obj = object;
<c>
  GTK_THROUGH_something = gtk_range_trough_click (obj, x, y, &jump_perc);
</c>
}

void
  default_hslider_update
{
  pointer obj = object;
<c>
  gtk_range_default_hslider_update (obj);
</c>
}

void
  default_vslider_update
{
  pointer obj = object;
<c>
  gtk_range_default_vslider_update (obj);
</c>
}

(int, float) (GTK_THROUGH_something, jump_perc)
  default_vtrough_click (int, int) (x, y)
{
  pointer obj = object;
<c>
  GTK_THROUGH_something
    = gtk_range_default_vtrough_click (obj, x, y, &jump_perc);
</c>
}

void
  default_hmotion (int, int) (xdelta, ydelta)
{
  pointer obj = object;
<c>
  gtk_range_default_hmotion (obj, xdelta, ydelta);
</c>
}

void
  default_vmotion (int, int) (xdelta, ydelta)
{
  pointer obj = object;
<c>
  gtk_range_default_vmotion (obj, xdelta, ydelta);
</c>
}

end;
