<copyright> gtomk Scale class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: Scale.t,v 1.4 1998/04/14 13:25:54 tiggr Exp $</id>
    </copyright>

<gtk_version>1.0.0</gtk_version>

<c>
#include "glue.h"
</c>

implementation class
GtkScale: GtkRange

end;

implementation instance
GtkScale

<doc> Return the {gtkScale} for which this object stands.  </doc>
pointer
  gtkScale
{
  = object;
}

void
  set_digits int digits
{
  pointer obj = object;
<c>
  gtk_scale_set_digits (obj, digits);
</c>
}

void
  set_draw_value boolean draw_value
{
  pointer obj = object;
<c>
  gtk_scale_set_draw_value (obj, draw_value);
</c>
}

void
  set_value_pos int GTK_POS_something
{
  pointer obj = object;
<c>
  gtk_scale_set_value_pos (obj, GTK_POS_something);
</c>
}

int (width)
  value_width
{
  pointer obj = object;
<c>
  width = gtk_scale_value_width (obj);
</c>
}

void
  draw_value
{
  pointer obj = object;
<c>
  gtk_scale_draw_value (obj);
</c>
}

end;
