<copyright> tomgnome Calendar class.
    Written by <a href="mailto:yacc@gerbil.org">Andreas Kostyrka</a>

    Copyright &copy; 1998 Andreas Kostyrka

    This file is part of tomgnome.  tomgnome is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the tomgtk distribution; see the file COPYING.LIB.

    <id>$Id: Calendar.t,v 1.1 1998/06/16 15:23:04 yacc Exp $</id>
    </copyright>

<gtk_version>1.1.0</gtk_version>

<c>
#include <libgnome/libgnome.h>
#include <libgnomeui/libgnomeui.h>
#include <tom/util.h>
</c>

implementation class
GtkCalendar : GtkWidget

instance (id)
  new
{
  pointer cal;
  <c> cal = gtk_calendar_new(); </c>
  = [[self alloc] init cal];
}

end;

implementation instance
GtkCalendar

<doc> Return the {GtkCalendar} for which this object stands.  </doc>
pointer
  gtkCalendar
{
  = object;
}

int (res)
  select_month (int, int) (month, year)
{
  pointer obj = object;
  <c> res = gtk_calendar_select_month ((GtkCalendar *) obj, month, year); </c>
}

void 
  select_day int day
{
  pointer obj = object;
  <c> gtk_calendar_select_day ((GtkCalendar *) obj, day); </c>
}

int (res)
  mark_day int day
{
  pointer obj = object;
  <c> res = gtk_calendar_mark_day ((GtkCalendar *) obj, day); </c>
}

int (res)
  unmark_day int day
{
  pointer obj = object;
  <c> res = gtk_calendar_unmark_day ((GtkCalendar *) obj, day); </c>
}

void
  clear_marks
{
  pointer obj = object;
  <c> gtk_calendar_clear_marks ((GtkCalendar *) obj); </c>
}

<unimplemented>
// These are commented as unimplemented.
// yacc@gerbil.org Tue Jun 16 17:07:34 MEST 1998

void
  set_font (int, GdkFont) (GtkCalendarFont_font, font)
{
  pointer obj = object;
  pointer cfont = [font gdkFont];
  <c> gtk_calendar_set_font ((GtkCalendar *) obj
			     GtkCalendarFont_font,
			     cfont); </c>
}

void
  set_color (int, GdkColor) (GtkCalendarColor_color, color)
{
  pointer obj = object;
  pointer ccolor = [color gdkColor];
  <c> gtk_calendar_set_color ((GtkCalendar *) obj
			     GtkCalendarColor_color,
			     ccolor); </c>
}

</unimplemented>

void
  display_options int options
{
  pointer obj = object;
  <c> gtk_calendar_display_options ((GtkCalendar *) obj, options); </c>
}

(int, int, int) (ryear, rmonth, rday)
  get_date
{
  pointer obj = object;
  <c> gtk_calendar_get_date ((GtkCalendar *) obj, 
			     &ryear, &rmonth, &rday); </c>
}

void
  freeze
{
  pointer obj = object;
  <c> gtk_calendar_freeze ((GtkCalendar *) obj); </c>
}

void
  thaw
{
  pointer obj = object;
  <c> gtk_calendar_freeze ((GtkCalendar *) obj); </c>
}

end;
