<copyright> tomgnome Clock class.
    Written by <a href="mailto:yacc@gerbil.org">Andreas Kostyrka</a>

    Copyright &copy; 1998 Andreas Kostyrka

    This file is part of tomgnome.  tomgnome is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the tomgtk distribution; see the file COPYING.LIB.

    <id>$Id: Clock.t,v 1.1 1998/06/16 12:54:48 yacc Exp $</id>
    </copyright>

<gtk_version>1.1.0</gtk_version>

<c>
#include <libgnome/libgnome.h>
#include <libgnomeui/libgnomeui.h>
#include <tom/util.h>
</c>

implementation class
GtkClock : GtkLabel

instance (id)
  new int GTK_CLOCK_type
{
  pointer clock;
  <c> clock = gtk_clock_new(GTK_CLOCK_type); </c>
  = [[self alloc] init clock];
}

end;

implementation instance
GtkClock

<doc> Return the {GtkClock} for which this object stands.  </doc>
pointer
  gtkClock
{
  = object;
}

void
  set_format String fmt
{
  pointer obj = object;
  <c> {
    int len;
    char *cfmt;
    DECL_USEL (tom, _pi__byteStringContents);

    C_STRING_WITH_TOM_STRING (cfmt, len, fmt);
    gtk_clock_set_format ((GtkClock *) obj, cfmt);
  } </c>
}

void
  set_seconds int timesecs
{
  pointer obj = object;
  <c> gtk_clock_set_seconds ((GtkClock *) obj, timesecs); </c>
}

void
  set_update_interval int seconds
{
  pointer obj = object;
  <c> gtk_clock_set_update_interval ((GtkClock *) obj, seconds); </c>
}

void
  start
{
  pointer obj = object;
  <c> gtk_clock_start ((GtkClock *) obj); </c>
}

void
  stop
{
  pointer obj = object;
  <c> gtk_clock_stop ((GtkClock *) obj); </c>
}

end;
