<copyright> tomgnome Less class.
    Written by <a href="mailto:yacc@gerbil.org">Andreas Kostyrka</a>

    Copyright &copy; 1998 Andreas Kostyrka

    This file is part of tomgnome.  tomgnome is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the tomgtk distribution; see the file COPYING.LIB.

    <id>$Id: Less.t,v 1.4 1998/07/02 13:49:59 yacc Exp $</id>
    </copyright>

<gtk_version>1.1.0</gtk_version>

<c>
#include <libgnome/gnome-defs.h>
#include <libgnomeui/gnome-less.h>
#include <tom/util.h>
</c>

implementation class
GnomeLess: GtkVBox

instance (id)
  new
{
  pointer lesswin;
  <c> lesswin = gnome_less_new(); </c>
  = [[self alloc] init lesswin];
}

end;

implementation instance
GnomeLess

<doc> Return the {GnomeLess} for which this object stands.  </doc>
pointer
  gnomeLess
{
  = object;
}

void
  show_file String path
{
  pointer obj = object;
  int len;
  <c> {
    DECL_USEL (tom, _pi__byteStringContents);
    char *cpath;
    C_STRING_WITH_TOM_STRING (cpath, len, path);
    
    gnome_less_show_file ((GnomeLess *) obj, cpath);
  } </c>
}

void
  show_command String path
{
  pointer obj = object;
  int len;
  <c> {
    DECL_USEL (tom, _pi__byteStringContents);
    char *cpath;
    C_STRING_WITH_TOM_STRING (cpath, len, path);
    
    gnome_less_show_command ((GnomeLess *) obj, cpath);
  } </c>
}

void
  show_string String path
{
  pointer obj = object;
  int len;
  <c> {
    DECL_USEL (tom, _pi__byteStringContents);
    char *cpath;
    C_STRING_WITH_TOM_STRING (cpath, len, path);
    
    gnome_less_show_string ((GnomeLess *) obj, cpath);
  } </c>
}

void
  set_fixed_font boolean fixed
{
  pointer obj = object;
  <c> {
    gnome_less_set_fixed_font ((GnomeLess *) obj, fixed);
  } </c>
}

end;
