implementation class FileSelectionController : State
end;

implementation instance FileSelectionController {
  <doc> contain our file selection dialog. </doc>
  GtkFileSelection dialog;
  <doc> is invoked if Ok is clicked. </doc>
  Invocation setfile;
}

id 
  initOk Invocation ok
{
  setfile=ok;
  = self;
}

void 
  run
{
  dialog = [GtkFileSelection new "Open table"];
  [dialog show];
  [gtomk grab_add dialog];

  [[dialog ok_button] connect "clicked" 
		      to self
		      using selector (void clicked)];
  [[dialog cancel_button] connect "clicked" 
			  to self
			  using selector (void cancel)];
}

void
  clicked
{
  [setfile fireWith [dialog get_filename]];
  [gtomk grab_remove dialog];
  [dialog destroy];

  dialog=nil;
  setfile=nil;
}

void
  cancel
{
  [gtomk grab_remove dialog];
  [dialog destroy];
  dialog=nil;
  setfile=nil;
}

end;
