<copyright> tom.InputStream extension to read the whole stream contents.
    By <a href="mailto:yacc@gerbil.org">Andreas Kostyrka</a>

    Copyright &copy; 1998 Andreas Kostyrka.

    This file is part of TOM/gtk.  TOM/gtk is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the TOM/gtk distribution; see the file COPYING.LIB.

    <id>$Id: StreamExtension.t,v 1.1 1998/07/29 20:49:54 yacc Exp $</id>
    </copyright>

implementation class
InputStream extension WholeStreamReader

end;

implementation instance
InputStream extension WholeStreamReader {
  <doc> selector(String contents) reads files in chunks sized this. </doc>
  const CHUNK_SIZE = 8192;
}

String
  contents
{
  MutableByteString contents = [MutableByteString new];
  int pos = [self readRange (0,CHUNK_SIZE) into contents];
  int readBytes = pos;
  while (readBytes>0) {
    readBytes = [self readRange (pos, CHUNK_SIZE) into contents];
    pos += readBytes;
  }
  = [contents frozen];
}
end;
