<copyright> gtomk Notebook example,
    A rewrite in TOM of the original neil/notebook.py example,
    as it appears in the pygtk-0.3.0 distribution.
    By <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: Notebook.t,v 1.7 1999/02/17 23:26:01 tiggr Exp $</id>
    </copyright>

implementation class
NotebookDemo: Constants
{
  static GtkWindow window;
}

void
  destroy
{
  [gtomk main_quit];
}

int
  main MutableArray args
{
  [gtomk init args];

  window = [GtkWindow new GTK_WINDOW_TOPLEVEL];
  [window connect "destroy" to self using selector (void destroy) after: NO];
  [window set_title "Notebook"];
  [window set_usize (400, 400)];

  GtkVBox box1 = [GtkVBox new (TRUE, 0)];
  [window add box1];
  [box1 show];

  GtkVBox box2 = [GtkVBox new (TRUE, 10)];
  [box1 pack_start (box2, TRUE, TRUE, 0)];
  [box2 show];

  GtkNotebook notebook = [GtkNotebook new];
  [notebook set_tab_pos GTK_POS_TOP];
  [box2 pack_start (notebook, TRUE, TRUE, 0)];
  [notebook show];

  Array names = [ObjectArray with ("Background", "Colors", "System",
				   "Setup", "Samba")];

  int i, n = [names length];
  for (i = 0; i < n; i++)
    {
      String buffer = names[i];

      GtkFrame frame = [GtkFrame new buffer];
      [frame set_usize (200, 300)];
      [frame set_shadow_type GTK_SHADOW_ETCHED_OUT];
      [frame show];

      GtkLabel label = [GtkLabel new buffer];
      [frame add label];
      [label show];

      label = [GtkLabel new buffer];
      [label set_padding (2, 2)];
      [notebook append_page (frame, label)];
    }

  GtkHSeparator separator = [GtkHSeparator new];
  [box1 pack_start (separator, TRUE, TRUE, 0)];

  GtkVBox box3 = [GtkVBox new (TRUE, 10)];
  [box1 pack_start (box3, TRUE, TRUE, 0)];
  [box3 show];

  GtkButton button = [GtkButton new_with_label "close"];
  [box3 pack_start (button, FALSE, FALSE, 0)];
  [button connect "clicked" to self using selector (void destroy)];
  [button show];

  [window show];
  [gtomk main];
}

end;

implementation instance
NotebookDemo

end;
