<copyright> gtomk packtable example.
    A rewrite in TOM of the original table.c example,
    as it appears in the gtk+ tutorial.
    By <a href="mailto:yacc@gerbil.org">Andreas Kostyrka</a>

    Copyright &copy; 1998 Andreas Kostyrka.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: PackTable.t,v 1.1 1998/07/29 18:07:02 yacc Exp $</id>
    </copyright>

implementation class
PackTable: Constants

<doc> Our improved (sort-of) callback (more or less).  This method is
    triggered by the button passed as {sender}; it prints the {data}
    String to {stdout}.  </doc>
void
  withData String data
   clicked GtkButton sender
{
  [[[stdio out] print ("Hello again - ", data, " was pressed")] nl];
}

void
  destroy
{
  [gtomk main_quit];
}

boolean
  delete_event pointer event
{
  [gtomk main_quit];
}

int
  main MutableArray args
{
  [gtomk init args];

  GtkWindow window = [GtkWindow new GTK_WINDOW_TOPLEVEL];
  [window set_title "Table"];
  [window connect "delete_event" to self using selector (boolean delete_event pointer)];
  [window connect "destroy" to self using selector (void destroy)];
  [window border_width 20];

  GtkTable table = [GtkTable new (2,2,TRUE)];
  [window add table];
  
  GtkButton button = [GtkButton new_with_label "Button 1"];
  [button connect "clicked"
	  to [Invocation for selector (void withData String clicked GtkButton)
			 to: self with "button 1"]
	  using selector (void clicked GtkButton) includeSender: TRUE];
  [table attach_defaults (button, 0, 1, 0, 1)];
  [button show];

  button = [GtkButton new_with_label "Button 2"];
  [button connect "clicked"
	  to [Invocation for selector (void withData String clicked GtkButton)
			 to: self with "button 2"]
	  using selector (void clicked GtkButton) includeSender: TRUE];
  [table attach_defaults (button, 1, 2, 0, 1)];
  [button show];

  button = [GtkButton new_with_label "Quit"];
  [button connect "clicked" to self using selector (void destroy)];
  [table attach_defaults (button, 0, 2, 1, 2)];
  [button show];

  [table show];
  [window show];

  /* This method does not return.  */
  [gtomk main];
}

end;

implementation instance
PackTable

end;
