<copyright> tomgnome tedtest example
    By <a href="mailto:yacc@gerbil.org">Andreas Kostyrka</a>

    Copyright &copy; 1998 Andreas Kostyrka.

    This file is part of tomgnome.  tomgnome is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the tomgtk distribution; see the file COPYING.LIB.

    <id>$Id: Tedtest.t,v 1.3 1999/02/17 23:32:11 tiggr Exp $</id>
    </copyright>

implementation class
Tedtest: gtomk.Constants

void
  hello
{
  [[[stdio err] print "Hello World"] nl];
}

boolean
  delete_event pointer event
{
  [[[stdio err] print "delete event occured"] nl];
  = TRUE;
}

void
  destroy
{
  [gtomk main_quit];
}

int
  main MutableArray args
{
  [gtomk init args];

  GtkWindow window = [GtkWindow new GTK_WINDOW_TOPLEVEL];
  [window connect "delete_event" to self using selector (boolean delete_event pointer)];
  [window connect "destroy" to self using selector (void destroy) after: NO];

  GtkButton button = [GtkButton new_with_label "Hello World"];
  [button connect "clicked" to self using selector (void hello)];
  [button connect "clicked" to window using selector (void destroy)];
  [GtkTed set_app_name "tedtest"];
  GtkTed ted = [GtkTed new "testdlg"];
  [window add ted];
  [ted add (button, "button")];
  [ted add ([GtkLabel new "TestLabel"],"testlabel")];
  [ted prepare];

  [button show];
  [window show];

  /* This method does not return.  */
  [gtomk main];
}

end;

implementation instance
Tedtest

end;
