<copyright> gdomk Cursor class.
    Written by <a href="mailto:yacc@gerbil.org">Andreas Kostyrka</a>

    Copyright &copy; 1998 Andreas Kostyrka

    This file is part of GDOMK.  GDOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GDOMK distribution; see the file COPYING.LIB.

    <id>$Id: Cursor.t,v 1.1 1998/07/29 22:05:37 yacc Exp $</id>
    </copyright>

<c>
#include "glue.h"
#include <tom/util.h>
</c>

implementation class
GdkCursor : GdkWrapper

instance (id)
  new int cursortype
{
  pointer cres;
  <c> {
    cres = gdk_cursor_new (cursortype);
  } </c>
  = [[self alloc] init cres];
}

end;

implementation instance
GdkCursor

<doc> Return the {GdkCursor} for which this object stands.  </doc>
pointer
  gdkCursor
{
  = object;
}

void
  destroy
{
  pointer obj = object;
  <c> gdk_cursor_destroy ((GdkCursor *) obj); </c>
}

end;
