<copyright> gtomk CheckMenuItem class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: CheckMenuItem.t,v 1.5 1998/04/14 13:25:01 tiggr Exp $</id>
    </copyright>

<gtk_version>1.0.0</gtk_version>

<c>
#include "glue.h"
</c>

implementation class
GtkCheckMenuItem: GtkMenuItem

<doc> Create a new check menu item, using {gtk_check_menu_item_new}.
    </doc>
instance (id)
  new
{
  pointer p;
<c>
  p = gtk_check_menu_item_new ();
</c>
  = [[self alloc] init p];
}

<doc> Create a new check menu item, using
    {gtk_check_menu_item_new_with_label}.  </doc>
instance (id)
  new_with_label String label
{
  pointer p;
  int len;
<c>
  {
    char *s;

    C_STRING_WITH_TOM_STRING (s, len, label);

    p = gtk_check_menu_item_new_with_label (s);
  }
</c>
  = [[self alloc] init p];
}

end;

implementation instance
GtkCheckMenuItem

<doc> Return the {gtkCheckMenuItem} for which this object stands.  </doc>
pointer
  gtkCheckMenuItem
{
  = object;
}

void
  set_state int state
{
  pointer obj = object;
<c>
  gtk_check_menu_item_set_state (obj, state);
</c>
}

void
  set_show_toggle boolean always
{
  pointer obj = object;
<c>
  gtk_check_menu_item_set_show_toggle (obj, always);
</c>
}

void
  toggled
{
  pointer obj = object;
<c>
  gtk_check_menu_item_toggled (obj);
</c>
}

end;
