<copyright> gtomk Image class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: Image.t,v 1.5 1998/04/14 13:25:26 tiggr Exp $</id>
    </copyright>

<gtk_version>1.0.0</gtk_version>

<c>
#include "glue.h"
</c>

implementation class
GtkImage: GtkMisc

instance (id)
  new (pointer, pointer) (GdkImage_val, GdkBitmap_mask)
{
  pointer p;
<c>
  p = gtk_image_new (GdkImage_val, GdkBitmap_mask);
</c>
  = [[self alloc] init p];
}

end;

implementation instance
GtkImage

<doc> Return the {gtkImage} for which this object stands.  </doc>
pointer
  gtkImage
{
  = object;
}

void
  set (GdkImage, GdkBitmap) (val, mask)
{
  pointer obj = object, vobj = [val gdkImage], mobj;

  if (mask != nil)
    mobj = [mask gdkBitmap];

<c>
  gtk_image_set (obj, vobj, mobj);
</c>
}

(GdkImage, GdkBitmap) (val, mask)
  get
{
  pointer obj = object, vobj, mobj;
<c>
  {
    GdkImage *v;
    GdkBitmap *m;
    gtk_image_get (obj, &v, &m);
    vobj = v;
    mobj = m;
  }
</c>
  if (!!vobj)
    val = [GdkImage proxy vobj create: YES];
  if (!!mobj)
    mask = [GdkBitmap proxy mobj create: YES];
}

end;
