<copyright> gtomk MenuShell class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: MenuShell.t,v 1.4 1998/04/14 13:25:37 tiggr Exp $</id>
    </copyright>

<gtk_version>1.0.0</gtk_version>

<c>
#include "glue.h"
</c>

implementation class
GtkMenuShell: GtkContainer

end;

implementation instance
GtkMenuShell

<doc> Return the {gtkMenuShell} for which this object stands.  </doc>
pointer
  gtkMenuShell
{
  = object;
}

void
  shell_append GtkWidget child
{
  pointer obj = object, child_obj = [child gtkWidget];
<c>
  gtk_menu_shell_append (obj, child_obj);
</c>
}

void
  shell_prepend GtkWidget child
{
  pointer obj = object, child_obj = [child gtkWidget];
<c>
  gtk_menu_shell_prepend (obj, child_obj);
</c>
}

void
  shell_insert (GtkWidget, int) (child, position)
{
  pointer obj = object, child_obj = [child gtkWidget];
<c>
  gtk_menu_shell_insert (obj, child_obj, position);
</c>
}

void
  shell_deactivate
{
  pointer obj = object;
<c>
  gtk_menu_shell_deactivate (obj);
</c>
}

end;
