<copyright> gtomk OptionMenu class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: OptionMenu.t,v 1.5 1998/04/14 13:25:41 tiggr Exp $</id>
    </copyright>

<gtk_version>1.0.0</gtk_version>

<c>
#include "glue.h"
</c>

implementation class
GtkOptionMenu: GtkButton

instance (id)
  new
{
  pointer p;
<c>
  p = gtk_option_menu_new ();
</c>
  = [[self alloc] init p];
}

end;

implementation instance
GtkOptionMenu

<doc> Return the {gtkOptionMenu} for which this object stands.  </doc>
pointer
  gtkOptionMenu
{
  = object;
}

GtkWidget (menu)
  get_menu
{
  pointer p, obj = object;
<c>
  p = gtk_option_menu_get_menu (obj);
</c>
  if (!!p)
    menu = [GtkWidget proxy p];
}

void
  set_menu GtkWidget menu
{
  pointer obj = object, menu_obj = [menu gtkWidget];
<c>
  gtk_option_menu_set_menu (obj, menu_obj);
</c>
}

void
  remove_menu
{
  pointer obj = object;
<c>
  gtk_option_menu_remove_menu (obj);
</c>
}

void
  set_history int index
{
  pointer obj = object;
<c>
  gtk_option_menu_set_history (obj, index);
</c>
}

end;
