<copyright> gtomk RadioButton class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: RadioButton.t,v 1.5 1998/04/14 13:25:49 tiggr Exp $</id>
    </copyright>

<gtk_version>1.0.0</gtk_version>

<c>
#include "glue.h"
</c>

implementation class
GtkRadioButton: GtkCheckButton

instance (id)
  new pointer GSList_group
{
  pointer p;
<c>
  p = gtk_radio_button_new (GSList_group);
</c>
  = [[self alloc] init p];
}

instance (id)
  new_from_widget GtkRadioButton group
{
  pointer p, group_obj = [group gtkRadioButton];
<c>
  p = gtk_radio_button_new_from_widget (group_obj);
</c>
  = [[self alloc] init p];
}

instance (id)
  new_with_label (pointer, String) (GSList_group, label)
{
  pointer p;
  int len;
<c>
  {
    char *s;
    C_STRING_WITH_TOM_STRING (s, len, label);
    p = gtk_radio_button_new_with_label (GSList_group, s);
  }
</c>
  = [[self alloc] init p];
}

instance (id)
  new_with_label_from_widget (GtkRadioButton, String) (button, label)
{
  pointer p, obutton = [button gtkRadioButton];
  int len;
<c>
  {
    char *s;
    C_STRING_WITH_TOM_STRING (s, len, label);
    p = gtk_radio_button_new_with_label_from_widget (obutton, s);
  }
</c>
  = [[self alloc] init p];
}

end;

implementation instance
GtkRadioButton

<doc> Return the {gtkRadioButton} for which this object stands.  </doc>
pointer
  gtkRadioButton
{
  = object;
}

pointer (GSList_group)
  group
{
  pointer obj = object;
<c>
  GSList_group = gtk_radio_button_group (obj);
</c>
}

void
  set_group pointer GSList_group
{
  pointer obj = object;
<c>
  gtk_radio_button_set_group (obj, GSList_group);
</c>
}

end;
