<copyright> tomgnome Stock class.
    Written by <a href="mailto:yacc@gerbil.org">Andreas Kostyrka</a>

    Copyright &copy; 1998 Andreas Kostyrka

    This file is part of tomgnome.  tomgnome is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the tomgtk distribution; see the file COPYING.LIB.

    <id>$Id: Stock.t,v 1.3 1998/09/30 13:44:03 yacc Exp $</id>
    </copyright>

<gtk_version>1.1.0</gtk_version>

<c>
#include <libgnome/gnome-defs.h>
#include <libgnomeui/gnome-stock.h>
#include <tom/util.h>
</c>

implementation class
GnomeStock: GtkVBox

instance (id)
  new_with_icon String icon
{
  pointer cres;

  <c> {
    char *cicon;
    int len;
    DECL_USEL (tom, _pi__byteStringContents);

    C_STRING_WITH_TOM_STRING (cicon, len, icon);

    cres = gnome_stock_new_with_icon (cicon); 
  } </c>
  = [[self alloc] init cres];
}

GtkWidget (res)
  pixmap_widget (GtkWidget, String) (window, icon)
{
  pointer cres;
  pointer cwindow = [window gtkWidget];
  <c> {
    char *cicon;
    int len;
    DECL_USEL (tom, _pi__byteStringContents);

    C_STRING_WITH_TOM_STRING (cicon, len, icon);

    cres = gnome_stock_pixmap_widget (cwindow, cicon);
  } </c>
  = [GtkWidget proxy cres create: YES];
}

end;

implementation instance
GnomeStock

<doc> Return the {GnomeStockPixmapWidget} for which this object stands.  </doc>
pointer
  gnomeStock
{
  = object;
}

<doc> change the icon/look of a GnomeStock. </doc>

void 
  set_icon String icon
{
  pointer cwidget = object;
  <c> {
    char *cicon;
    int len;
    DECL_USEL (tom, _pi__byteStringContents);

    C_STRING_WITH_TOM_STRING (cicon, len, icon);
    gnome_stock_set_icon ((GnomeStock *) cwidget,
			  cicon);
  } </c>
}
  
end;
